const { loadBinding } = require("@node-rs/helper");

try {
  // __dirname means load native addon from current dir
  // 'index' means native addon name is `index`
  // the value of this two arguments was decided by `build` script in `package.json`
  module.exports = loadBinding(__dirname, "index", "@mtfos/rs-diff");
} catch (e) {
  console.log(e);
  try {
    module.exports = require(`@mtfos/rs-diff-${process.platform}`);
  } catch (e) {
    throw new TypeError(
      "Not compatible with your platform. Error message: " + e.message
    );
  }
}
